# Editor.TDView Class Reference

Collaboration diagram for Editor.TDView:

[legend]

List of all members.

## Public Member Functions
| TDView ()
void | LetItRun ()
void | InitializeApplication ()
| Initializes the application.
void | SetMediator (Mediator mediator)
| This method can be used to set the mediator.
bool | IsDeviceAcceptable (Microsoft.DirectX.Direct3D.Caps caps, Format adapterFormat, Format backBufferFormat, bool windowed)
| Called during device initialization, this code checks the device for some minimum set of capabilities, and rejects those that don't pass by returning false. In this implementation we require at least support for shader 1.1 and we require a backbuffer format which does support alpha blending.
void | ModifyDeviceSettings (DeviceSettings settings, Microsoft.DirectX.Direct3D.Caps caps)
| This callback function is called immediately before a device is created to allow the application to modify the device settings. The supplied settings parameter contains the settings that the framework has selected for the new device, and the application can make any desired changes directly to this structure. Note however that the sample framework will not correct invalid device settings so care must be taken to return valid device settings, otherwise creating the Device will fail.
void | OnFrameMove (Microsoft.DirectX.Direct3D.Device device, double appTime, float elapsedTime)
| This callback function will be called once at the beginning of every frame. This is the best location for your application to handle updates to the scene, but is not intended to contain actual rendering calls, which should instead be placed in the OnFrameRender callback.
void | OnFrameRender (Microsoft.DirectX.Direct3D.Device device, double appTime, float elapsedTime)
| This callback function will be called at the end of every frame to perform all the rendering calls for the scene, and it will also be called if the window needs to be repainted. After this function has returned, the sample framework will call Device.Present to display the contents of the next buffer in the swap chain.
void | InitSound ()
void | OnKeyEvent (object sender, System.Windows.Forms.KeyEventArgs e)
| As a convenience, the sample framework inspects the incoming windows messages for keystroke messages and decodes the message parameters to pass relevant keyboard messages to the application. The framework does not remove the underlying keystroke messages, which are still passed to the application's MsgProc callback.
IntPtr | OnMsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam, ref bool noFurtherProcessing)
| Before handling window messages, the sample framework passes incoming windows messages to the application through this callback function. If the application sets noFurtherProcessing to true, the sample framework will not process the message.
void | OnApplicationIdle (object sender, EventArgs e)
| Fired when the application first gets idle.
| TDView ()
void | LetItRun ()
void | InitializeApplication ()
| Initializes the application.
void | SetMediator (Mediator mediator)
| This method can be used to set the mediator.
bool | IsDeviceAcceptable (Microsoft.DirectX.Direct3D.Caps caps, Format adapterFormat, Format backBufferFormat, bool windowed)
| Called during device initialization, this code checks the device for some minimum set of capabilities, and rejects those that don't pass by returning false. In this implementation we require at least support for shader 1.1 and we require a backbuffer format which does support alpha blending.
void | ModifyDeviceSettings (DeviceSettings settings, Microsoft.DirectX.Direct3D.Caps caps)
| This callback function is called immediately before a device is created to allow the application to modify the device settings. The supplied settings parameter contains the settings that the framework has selected for the new device, and the application can make any desired changes directly to this structure. Note however that the sample framework will not correct invalid device settings so care must be taken to return valid device settings, otherwise creating the Device will fail.
void | OnFrameMove (Microsoft.DirectX.Direct3D.Device device, double appTime, float elapsedTime)
| This callback function will be called once at the beginning of every frame. This is the best location for your application to handle updates to the scene, but is not intended to contain actual rendering calls, which should instead be placed in the OnFrameRender callback.
void | OnFrameRender (Microsoft.DirectX.Direct3D.Device device, double appTime, float elapsedTime)
| This callback function will be called at the end of every frame to perform all the rendering calls for the scene, and it will also be called if the window needs to be repainted. After this function has returned, the sample framework will call Device.Present to display the contents of the next buffer in the swap chain.
void | InitSound ()
void | OnKeyEvent (object sender, System.Windows.Forms.KeyEventArgs e)
| As a convenience, the sample framework inspects the incoming windows messages for keystroke messages and decodes the message parameters to pass relevant keyboard messages to the application. The framework does not remove the underlying keystroke messages, which are still passed to the application's MsgProc callback.
IntPtr | OnMsgProc (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam, ref bool noFurtherProcessing)
| Before handling window messages, the sample framework passes incoming windows messages to the application through this callback function. If the application sets noFurtherProcessing to true, the sample framework will not process the message.
void | OnApplicationIdle (object sender, EventArgs e)
| Fired when the application first gets idle.
## Public Attributes
OutDoorScene | outdoorScene
bool | play = false
## Protected Member Functions
override void | OnPaint (PaintEventArgs e)
| When in edit mode all the rendering is performed here. When in edit mode we don't need to update our node quickly, we don't need to move at interactive speed whe just need to render on WM_PAINT message.
override void | OnPaintBackground (PaintEventArgs e)
override void | OnMouseDoubleClick (MouseEventArgs e)
override void | WndProc (ref Message m)
| We override this method in order to pass window messages to our camera (update arcball and everything).
override void | Dispose (bool disposing)
| Clean up any resources being used.
override void | OnPaint (PaintEventArgs e)
| When in edit mode all the rendering is performed here. When in edit mode we don't need to update our node quickly, we don't need to move at interactive speed whe just need to render on WM_PAINT message.
override void | OnPaintBackground (PaintEventArgs e)
override void | OnMouseDoubleClick (MouseEventArgs e)
override void | WndProc (ref Message m)
| We override this method in order to pass window messages to our camera (update arcball and everything).
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Properties
bool | ReadyToGo`[get, set]`

## Detailed Description

Definition at line 34 of file 3DView.cs.

## Constructor & Destructor Documentation

Editor.TDView.TDView | ( |  | ) |

Definition at line 86 of file 3DView.cs.

Here is the call graph for this function:

Editor.TDView.TDView | ( |  | ) |

Definition at line 86 of file 3DView.cs.

Here is the call graph for this function:

## Member Function Documentation

override void Editor.TDView.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  | disposing | true if managed resources should be disposed; otherwise, false.

Definition at line 14 of file 3DView.Designer.cs.

override void Editor.TDView.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  | disposing | true if managed resources should be disposed; otherwise, false.

Definition at line 14 of file 3DView.Designer.cs.

void Editor.TDView.InitializeApplication | ( |  | ) |

Initializes the application.

Definition at line 126 of file 3DView.cs.

Here is the call graph for this function:

void Editor.TDView.InitializeApplication | ( |  | ) |

Initializes the application.

Definition at line 126 of file 3DView.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Editor.TDView.InitSound | ( |  | ) |

Definition at line 459 of file 3DView.cs.

void Editor.TDView.InitSound | ( |  | ) |

Definition at line 459 of file 3DView.cs.

Here is the caller graph for this function:

bool Editor.TDView.IsDeviceAcceptable | ( | Microsoft.DirectX.Direct3D.Caps | caps,
|  | Format | adapterFormat,
|  | Format | backBufferFormat,
|  | bool | windowed |
| ) |  |  |

Called during device initialization, this code checks the device for some minimum set of capabilities, and rejects those that don't pass by returning false. In this implementation we require at least support for shader 1.1 and we require a backbuffer format which does support alpha blending.

Definition at line 159 of file 3DView.cs.

bool Editor.TDView.IsDeviceAcceptable | ( | Microsoft.DirectX.Direct3D.Caps | caps,
|  | Format | adapterFormat,
|  | Format | backBufferFormat,
|  | bool | windowed |
| ) |  |  |

Called during device initialization, this code checks the device for some minimum set of capabilities, and rejects those that don't pass by returning false. In this implementation we require at least support for shader 1.1 and we require a backbuffer format which does support alpha blending.

Definition at line 159 of file 3DView.cs.

void Editor.TDView.LetItRun | ( |  | ) |

Definition at line 118 of file 3DView.cs.

Here is the call graph for this function:

void Editor.TDView.LetItRun | ( |  | ) |

Definition at line 118 of file 3DView.cs.

Here is the call graph for this function:

void Editor.TDView.ModifyDeviceSettings | ( | DeviceSettings | settings,
|  | Microsoft.DirectX.Direct3D.Caps | caps |
| ) |  |  |

This callback function is called immediately before a device is created to allow the application to modify the device settings. The supplied settings parameter contains the settings that the framework has selected for the new device, and the application can make any desired changes directly to this structure. Note however that the sample framework will not correct invalid device settings so care must be taken to return valid device settings, otherwise creating the Device will fail.

Definition at line 181 of file 3DView.cs.

void Editor.TDView.ModifyDeviceSettings | ( | DeviceSettings | settings,
|  | Microsoft.DirectX.Direct3D.Caps | caps |
| ) |  |  |

This callback function is called immediately before a device is created to allow the application to modify the device settings. The supplied settings parameter contains the settings that the framework has selected for the new device, and the application can make any desired changes directly to this structure. Note however that the sample framework will not correct invalid device settings so care must be taken to return valid device settings, otherwise creating the Device will fail.

Definition at line 181 of file 3DView.cs.

void Editor.TDView.OnApplicationIdle | ( | object | sender,
|  | EventArgs | e |
| ) |  |  |

Fired when the application first gets idle.

Definition at line 610 of file 3DView.cs.

Here is the call graph for this function:

void Editor.TDView.OnApplicationIdle | ( | object | sender,
|  | EventArgs | e |
| ) |  |  |

Fired when the application first gets idle.

Definition at line 610 of file 3DView.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Editor.TDView.OnFrameMove | ( | Microsoft.DirectX.Direct3D.Device | device,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

This callback function will be called once at the beginning of every frame. This is the best location for your application to handle updates to the scene, but is not intended to contain actual rendering calls, which should instead be placed in the OnFrameRender callback.

Definition at line 334 of file 3DView.cs.

Here is the call graph for this function:

void Editor.TDView.OnFrameMove | ( | Microsoft.DirectX.Direct3D.Device | device,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

This callback function will be called once at the beginning of every frame. This is the best location for your application to handle updates to the scene, but is not intended to contain actual rendering calls, which should instead be placed in the OnFrameRender callback.

Definition at line 334 of file 3DView.cs.

Here is the call graph for this function:

void Editor.TDView.OnFrameRender | ( | Microsoft.DirectX.Direct3D.Device | device,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

This callback function will be called at the end of every frame to perform all the rendering calls for the scene, and it will also be called if the window needs to be repainted. After this function has returned, the sample framework will call Device.Present to display the contents of the next buffer in the swap chain.

Definition at line 412 of file 3DView.cs.

void Editor.TDView.OnFrameRender | ( | Microsoft.DirectX.Direct3D.Device | device,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

This callback function will be called at the end of every frame to perform all the rendering calls for the scene, and it will also be called if the window needs to be repainted. After this function has returned, the sample framework will call Device.Present to display the contents of the next buffer in the swap chain.

Definition at line 412 of file 3DView.cs.

void Editor.TDView.OnKeyEvent | ( | object | sender,
|  | System.Windows.Forms.KeyEventArgs | e |
| ) |  |  |

As a convenience, the sample framework inspects the incoming windows messages for keystroke messages and decodes the message parameters to pass relevant keyboard messages to the application. The framework does not remove the underlying keystroke messages, which are still passed to the application's MsgProc callback.

Definition at line 491 of file 3DView.cs.

void Editor.TDView.OnKeyEvent | ( | object | sender,
|  | System.Windows.Forms.KeyEventArgs | e |
| ) |  |  |

As a convenience, the sample framework inspects the incoming windows messages for keystroke messages and decodes the message parameters to pass relevant keyboard messages to the application. The framework does not remove the underlying keystroke messages, which are still passed to the application's MsgProc callback.

Definition at line 491 of file 3DView.cs.

override void Editor.TDView.OnMouseDoubleClick | ( | MouseEventArgs | e | ) | `[protected]`

Definition at line 501 of file 3DView.cs.

Here is the call graph for this function:

override void Editor.TDView.OnMouseDoubleClick | ( | MouseEventArgs | e | ) | `[protected]`

Definition at line 501 of file 3DView.cs.

Here is the call graph for this function:

IntPtr Editor.TDView.OnMsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam,
|  | ref bool | noFurtherProcessing |
| ) |  |  |

Before handling window messages, the sample framework passes incoming windows messages to the application through this callback function. If the application sets noFurtherProcessing to true, the sample framework will not process the message.

Definition at line 584 of file 3DView.cs.

Here is the call graph for this function:

IntPtr Editor.TDView.OnMsgProc | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam,
|  | ref bool | noFurtherProcessing |
| ) |  |  |

Before handling window messages, the sample framework passes incoming windows messages to the application through this callback function. If the application sets noFurtherProcessing to true, the sample framework will not process the message.

Definition at line 584 of file 3DView.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

override void Editor.TDView.OnPaint | ( | PaintEventArgs | e | ) | `[protected]`

When in edit mode all the rendering is performed here. When in edit mode we don't need to update our node quickly, we don't need to move at interactive speed whe just need to render on WM_PAINT message.

Parameters:

  | e |

Definition at line 392 of file 3DView.cs.

override void Editor.TDView.OnPaint | ( | PaintEventArgs | e | ) | `[protected]`

When in edit mode all the rendering is performed here. When in edit mode we don't need to update our node quickly, we don't need to move at interactive speed whe just need to render on WM_PAINT message.

Parameters:

  | e |

Definition at line 392 of file 3DView.cs.

override void Editor.TDView.OnPaintBackground | ( | PaintEventArgs | e | ) | `[protected]`

Definition at line 401 of file 3DView.cs.

override void Editor.TDView.OnPaintBackground | ( | PaintEventArgs | e | ) | `[protected]`

Definition at line 401 of file 3DView.cs.

void Editor.TDView.SetMediator | ( | Mediator | mediator | ) |

This method can be used to set the mediator.

Parameters:

  | mediator |

Definition at line 148 of file 3DView.cs.

void Editor.TDView.SetMediator | ( | Mediator | mediator | ) |

This method can be used to set the mediator.

Parameters:

  | mediator |

Definition at line 148 of file 3DView.cs.

Here is the caller graph for this function:

override void Editor.TDView.WndProc | ( | ref Message | m | ) | `[protected]`

We override this method in order to pass window messages to our camera (update arcball and everything).

Parameters:

  | m |

Definition at line 568 of file 3DView.cs.

Here is the call graph for this function:

override void Editor.TDView.WndProc | ( | ref Message | m | ) | `[protected]`

We override this method in order to pass window messages to our camera (update arcball and everything).

Parameters:

  | m |

Definition at line 568 of file 3DView.cs.

Here is the call graph for this function:

## Member Data Documentation

OutDoorScene Editor.TDView::outdoorScene

Definition at line 53 of file 3DView.cs.

bool Editor.TDView::play = false

Definition at line 69 of file 3DView.cs.

## Property Documentation

bool Editor.TDView::ReadyToGo`[get, set]`

Definition at line 81 of file 3DView.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/Editor/3DView.cs
- D:/guillaume/guillara/3D/DXGfx/Backup/Editor/3DView.Designer.cs
- D:/guillaume/guillara/3D/DXGfx/Editor/3DView.cs
- D:/guillaume/guillara/3D/DXGfx/Editor/3DView.Designer.cs